Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.benchmark.core
Class ProblemBenchmark

    java.lang.Object
      org.drools.planner.benchmark.core.ProblemBenchmark

    public class ProblemBenchmark

extends Object

Represents one problem instance (a data set) benchmarked on multiple solvers.

Constructor Summary
`ProblemBenchmark()`

Method Summary
`void` | `benchmark()`
`void` | `benchmarkingEnded()`
`void` | `benchmarkingStarted()`
`boolean` | `equals(Object o)`
`File` | `getInputSolutionFile()`
`String` | `getName()`
`File` | `getOutputSolutionFilesDirectory()`
`List<PlannerBenchmarkResult>` | `getPlannerBenchmarkResultList()`
`ProblemIO` | `getProblemIO()`
`List<ProblemStatistic>` | `getProblemStatisticList()`
`PlannerBenchmarkResult` | `getWinningPlannerBenchmarkResult()`
`int` | `hashCode()`
`Solution` | `readPlanningProblem()`
`void` | `setInputSolutionFile(File inputSolutionFile)`
`void` | `setName(String name)`
`void` | `setOutputSolutionFilesDirectory(File outputSolutionFilesDirectory)`
`void` | `setPlannerBenchmarkResultList(List<PlannerBenchmarkResult> plannerBenchmarkResultList)`
`void` | `setProblemIO(ProblemIO problemIO)`
`void` | `setProblemStatisticList(List<ProblemStatistic> problemStatisticList)`
`void` | `setWinningPlannerBenchmarkResult(PlannerBenchmarkResult winningPlannerBenchmarkResult)`
`long` | `warmUp(long startingTimeMillis, long warmUpTimeMillisSpend, long timeLeft)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemBenchmark

    public ProblemBenchmark()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getProblemIO

    public ProblemIO getProblemIO()

### setProblemIO

    public void setProblemIO(ProblemIO problemIO)

### getInputSolutionFile

    public File getInputSolutionFile()

### setInputSolutionFile

    public void setInputSolutionFile(File inputSolutionFile)

### getOutputSolutionFilesDirectory

    public File getOutputSolutionFilesDirectory()

### setOutputSolutionFilesDirectory

    public void setOutputSolutionFilesDirectory(File outputSolutionFilesDirectory)

### getProblemStatisticList

    public List<ProblemStatistic> getProblemStatisticList()

### setProblemStatisticList

    public void setProblemStatisticList(List<ProblemStatistic> problemStatisticList)

### getPlannerBenchmarkResultList

    public List<PlannerBenchmarkResult> getPlannerBenchmarkResultList()

### setPlannerBenchmarkResultList

    public void setPlannerBenchmarkResultList(List<PlannerBenchmarkResult> plannerBenchmarkResultList)

### getWinningPlannerBenchmarkResult

    public PlannerBenchmarkResult getWinningPlannerBenchmarkResult()

### setWinningPlannerBenchmarkResult

    public void setWinningPlannerBenchmarkResult(PlannerBenchmarkResult winningPlannerBenchmarkResult)

### benchmarkingStarted

    public void benchmarkingStarted()

### benchmark

    public void benchmark()

### warmUp

    public long warmUp(long startingTimeMillis,
                       long warmUpTimeMillisSpend,
                       long timeLeft)

### readPlanningProblem

    public Solution readPlanningProblem()

### benchmarkingEnded

    public void benchmarkingEnded()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.